Package org.pgpainless.decryption_verification

# Class MessageMetadata.Layer

java.lang.Object
org.pgpainless.decryption_verification.MessageMetadata.Layer

All Implemented Interfaces:
  `MessageMetadata.Packet`

Direct Known Subclasses:
  `MessageMetadata.CompressedData`, `MessageMetadata.EncryptedData`, `MessageMetadata.Message`

Enclosing class:
  `MessageMetadata`

public abstract static class MessageMetadata.Layer extends Object implements MessageMetadata.Packet

## Field Summary

Fields
Modifier and Type
Field
Description
`protected MessageMetadata.Nested`
`child`
`protected final int`
`depth`
`static final int`
`MAX_LAYER_DEPTH`
`protected final List<SignatureVerification.Failure>`
`rejectedDetachedSignatures`
`protected final List<SignatureVerification.Failure>`
`rejectedOnePassSignatures`
`protected final List<SignatureVerification.Failure>`
`rejectedPrependedSignatures`
`protected final List<SignatureVerification>`
`verifiedDetachedSignatures`
`protected final List<SignatureVerification>`
`verifiedOnePassSignatures`
`protected final List<SignatureVerification>`
`verifiedPrependedSignatures`

## Constructor Summary

Constructors
Constructor
Description
`Layer(int depth)`

## Method Summary

Modifier and Type
Method
Description
`MessageMetadata.Nested`
`getChild()`
Return the nested child element of this layer.
`List<SignatureVerification.Failure>`
`getRejectedDetachedSignatures()`
Return a list of all rejected detached signatures of this layer.
`List<SignatureVerification.Failure>`
`getRejectedOnePassSignatures()`
Return a list of all rejected one-pass-signatures of this layer.
`List<SignatureVerification.Failure>`
`getRejectedPrependedSignatures()`
Return a list of all rejected prepended signatures of this layer.
`List<SignatureVerification>`
`getVerifiedDetachedSignatures()`
Return a list of all verified detached signatures of this layer.
`List<SignatureVerification>`
`getVerifiedOnePassSignatures()`
Return a list of all verified one-pass-signatures of this layer.
`List<SignatureVerification>`
`getVerifiedPrependedSignatures()`
Return a list of all verified prepended signatures of this layer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_LAYER_DEPTH

public static final int MAX_LAYER_DEPTH

See Also:
  - Constant Field Values

### depth

protected final int depth

### verifiedDetachedSignatures

protected final List<SignatureVerification> verifiedDetachedSignatures

### rejectedDetachedSignatures

protected final List<SignatureVerification.Failure> rejectedDetachedSignatures

### verifiedOnePassSignatures

protected final List<SignatureVerification> verifiedOnePassSignatures

### rejectedOnePassSignatures

protected final List<SignatureVerification.Failure> rejectedOnePassSignatures

### verifiedPrependedSignatures

protected final List<SignatureVerification> verifiedPrependedSignatures

### rejectedPrependedSignatures

protected final List<SignatureVerification.Failure> rejectedPrependedSignatures

### child

protected MessageMetadata.Nested child

## Constructor Details

### Layer

public Layer(int depth)

## Method Details

### getChild

@Nullable public MessageMetadata.Nested getChild()
Return the nested child element of this layer. Might return

    null

, if this layer does not have a child element (e.g. if this is a `MessageMetadata.LiteralData` packet).

Returns:
  child element

### getVerifiedDetachedSignatures

public List<SignatureVerification> getVerifiedDetachedSignatures()
Return a list of all verified detached signatures of this layer.

Returns:
  all verified detached signatures of this layer

### getRejectedDetachedSignatures

public List<SignatureVerification.Failure> getRejectedDetachedSignatures()
Return a list of all rejected detached signatures of this layer.

Returns:
  all rejected detached signatures of this layer

### getVerifiedOnePassSignatures

public List<SignatureVerification> getVerifiedOnePassSignatures()
Return a list of all verified one-pass-signatures of this layer.

Returns:
  all verified one-pass-signatures of this layer

### getRejectedOnePassSignatures

public List<SignatureVerification.Failure> getRejectedOnePassSignatures()
Return a list of all rejected one-pass-signatures of this layer.

Returns:
  all rejected one-pass-signatures of this layer

### getVerifiedPrependedSignatures

public List<SignatureVerification> getVerifiedPrependedSignatures()
Return a list of all verified prepended signatures of this layer.

Returns:
  all verified prepended signatures of this layer

### getRejectedPrependedSignatures

public List<SignatureVerification.Failure> getRejectedPrependedSignatures()
Return a list of all rejected prepended signatures of this layer.

Returns:
  all rejected prepended signatures of this layer